package WEB-INF.classes.wenrgise.hrms.webtier.form;

import java.util.ArrayList;
import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import wenrgise.hrms.webtier.form.HrmBaseForm;

public class HrmMediclaimMasterForm extends HrmBaseForm {
  private String claimCode;
  
  private String txtClass;
  
  private String cadre;
  
  private boolean allEmp;
  
  private String dependents;
  
  private String[] coverName;
  
  private String[] sumInsured;
  
  private ArrayList arrHrmMediclaimMstDtl = new ArrayList();
  
  private String[] selectAll;
  
  private String[] salaryUnit;
  
  private String[] premium;
  
  private String[] ageFrom;
  
  private String[] ageTo;
  
  private String[] aicContribution;
  
  private String[] documentRequired;
  
  String txtClassId;
  
  String txtCadreId;
  
  String butTxtClass;
  
  String butCadre;
  
  private String allEmployeeApplicable;
  
  String disabbutTxtClass;
  
  String disabbutCadre;
  
  public String getDisabbutTxtClass() {
    return this.disabbutTxtClass;
  }
  
  public void setDisabbutTxtClass(String disabbutTxtClass) {
    this.disabbutTxtClass = disabbutTxtClass;
  }
  
  public String getDisabbutCadre() {
    return this.disabbutCadre;
  }
  
  public void setDisabbutCadre(String disabbutCadre) {
    this.disabbutCadre = disabbutCadre;
  }
  
  public String getTxtClassId() {
    return this.txtClassId;
  }
  
  public void setTxtClassId(String txtClassId) {
    this.txtClassId = txtClassId;
  }
  
  public String getTxtCadreId() {
    return this.txtCadreId;
  }
  
  public void setTxtCadreId(String txtCadreId) {
    this.txtCadreId = txtCadreId;
  }
  
  public String getButTxtClass() {
    return this.butTxtClass;
  }
  
  public void setButTxtClass(String butTxtClass) {
    this.butTxtClass = butTxtClass;
  }
  
  public String getButCadre() {
    return this.butCadre;
  }
  
  public void setButCadre(String butCadre) {
    this.butCadre = butCadre;
  }
  
  public void reset(ActionMapping mapping, HttpServletRequest request) {
    super.reset(mapping, request);
  }
  
  public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
    return super.validate(mapping, request);
  }
  
  public String getClaimCode() {
    return this.claimCode;
  }
  
  public void setClaimCode(String claimCode) {
    this.claimCode = claimCode;
  }
  
  public String getTxtClass() {
    return this.txtClass;
  }
  
  public void setTxtClass(String txtClass) {
    this.txtClass = txtClass;
  }
  
  public String getCadre() {
    return this.cadre;
  }
  
  public void setCadre(String cadre) {
    this.cadre = cadre;
  }
  
  public boolean getAllEmp() {
    return this.allEmp;
  }
  
  public void setAllEmp(boolean allEmp) {
    this.allEmp = allEmp;
  }
  
  public String getDependents() {
    return this.dependents;
  }
  
  public void setDependents(String dependents) {
    this.dependents = dependents;
  }
  
  public String[] getCoverName() {
    return this.coverName;
  }
  
  public void setCoverName(String[] coverName) {
    this.coverName = coverName;
  }
  
  public String[] getSumInsured() {
    return this.sumInsured;
  }
  
  public void setSumInsured(String[] sumInsured) {
    this.sumInsured = sumInsured;
  }
  
  public ArrayList getArrHrmMediclaimMstDtl() {
    return this.arrHrmMediclaimMstDtl;
  }
  
  public void setArrHrmMediclaimMstDtl(ArrayList newArrHrmMediclaimMstDtl) {
    this.arrHrmMediclaimMstDtl = newArrHrmMediclaimMstDtl;
  }
  
  public String[] getSelectAll() {
    return this.selectAll;
  }
  
  public void setSelectAll(String[] newSelectAll) {
    this.selectAll = newSelectAll;
  }
  
  public String[] getSalaryUnit() {
    return this.salaryUnit;
  }
  
  public void setSalaryUnit(String[] salaryUnit) {
    this.salaryUnit = salaryUnit;
  }
  
  public String[] getPremium() {
    return this.premium;
  }
  
  public void setPremium(String[] premium) {
    this.premium = premium;
  }
  
  public String[] getAgeFrom() {
    return this.ageFrom;
  }
  
  public void setAgeFrom(String[] ageFrom) {
    this.ageFrom = ageFrom;
  }
  
  public String[] getAgeTo() {
    return this.ageTo;
  }
  
  public void setAgeTo(String[] ageTo) {
    this.ageTo = ageTo;
  }
  
  public String[] getAicContribution() {
    return this.aicContribution;
  }
  
  public void setAicContribution(String[] aicContribution) {
    this.aicContribution = aicContribution;
  }
  
  public String[] getDocumentRequired() {
    return this.documentRequired;
  }
  
  public void setDocumentRequired(String[] documentRequired) {
    this.documentRequired = documentRequired;
  }
  
  public String getAllEmployeeApplicable() {
    return this.allEmployeeApplicable;
  }
  
  public void setAllEmployeeApplicable(String newAllEmployeeApplicable) {
    this.allEmployeeApplicable = newAllEmployeeApplicable;
  }
}
